Bug 33195 - Reindent the bibliographic details page
Summary: Reindent the bibliographic details page
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 33568 37002
Blocks: 33526
  Show dependency treegraph
 
Reported: 2023-03-10 12:49 UTC by Owen Leonard
Modified: 2024-07-11 11:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 33195: Reindent the bibliographic details page (222.31 KB, patch)
2023-05-18 18:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33195: (follow-up) Add markup comments (37.65 KB, patch)
2023-05-18 18:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Three related bibliographic records (5.68 KB, text/plain)
2023-05-19 16:51 UTC, Owen Leonard
Details
Bug 33195: Reindent the bibliographic details page (169.09 KB, patch)
2024-06-03 14:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33195: (follow-up) Add markup comments (18.66 KB, patch)
2024-06-03 14:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33195: Reindent the bibliographic details page (169.15 KB, patch)
2024-06-03 20:39 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 33195: (follow-up) Add markup comments (18.71 KB, patch)
2024-06-03 20:39 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 33195: Reindent the bibliographic details page (169.21 KB, patch)
2024-07-10 13:18 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 33195: (follow-up) Add markup comments (18.78 KB, patch)
2024-07-10 13:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-03-10 12:49:59 UTC
I would like to reformat the bibliographic details page (catalogue/detail.tt) in the staff interface so that it has consistent spacing and indentation.
Comment 1 Owen Leonard 2023-05-18 18:02:15 UTC
Created attachment 151432 [details] [review]
Bug 33195: Reindent the bibliographic details page

This patch reindents the bibliographic details template so that
it has consistent indentation. These changes should have no visible
effect on the page.

To test, apply the patch and view the detail page for a bibliographic
record. Test as many variations as you can:

- With and without cover images enabled
- With FRBRizeEditions enabled (and multiple editions in your catalog)
- With LocalCoverImages enabled
- With AcquisitionDetails enabled
- With a serial record
- With a record with component parts
- With EnableItemGroups enabled
- Wtih CatalogConcerns enabled
- With HTML5MediaEnabled and a record with media links

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.
Comment 2 Owen Leonard 2023-05-18 18:02:17 UTC
Created attachment 151433 [details] [review]
Bug 33195: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.
Comment 3 Owen Leonard 2023-05-19 16:51:52 UTC
Created attachment 151486 [details]
Three related bibliographic records

This MARC file can be imported and used for testing FRBRizeEditions with ThingISBN
Comment 4 Owen Leonard 2023-05-19 16:54:50 UTC
Bug 8377 has a sample MARC file for testing HTML5MediaEnabled: https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=10685
Comment 5 Jonathan Druart 2023-05-23 09:45:52 UTC
Please don't do this, I am currently working heavily on this template, see bug 33568.
Comment 6 Owen Leonard 2023-05-23 10:40:52 UTC
(In reply to Jonathan Druart from comment #5)
> Please don't do this

Okay cool
Comment 7 Owen Leonard 2024-06-03 14:34:46 UTC
Created attachment 167346 [details] [review]
Bug 33195: Reindent the bibliographic details page

This patch reindents the bibliographic details template so that
it has consistent indentation. These changes should have no visible
effect on the page.

To test, apply the patch and view the detail page for a bibliographic
record. Test as many variations as you can:

- With and without cover images enabled
- With FRBRizeEditions enabled (and multiple editions in your catalog)
- With LocalCoverImages enabled
- With AcquisitionDetails enabled
- With a serial record
- With a record with component parts
- With EnableItemGroups enabled
- Wtih CatalogConcerns enabled
- With HTML5MediaEnabled and a record with media links

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.
Comment 8 Owen Leonard 2024-06-03 14:34:48 UTC
Created attachment 167347 [details] [review]
Bug 33195: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.
Comment 9 Lucas Gass 2024-06-03 20:39:23 UTC
Created attachment 167358 [details] [review]
Bug 33195: Reindent the bibliographic details page

This patch reindents the bibliographic details template so that
it has consistent indentation. These changes should have no visible
effect on the page.

To test, apply the patch and view the detail page for a bibliographic
record. Test as many variations as you can:

- With and without cover images enabled
- With FRBRizeEditions enabled (and multiple editions in your catalog)
- With LocalCoverImages enabled
- With AcquisitionDetails enabled
- With a serial record
- With a record with component parts
- With EnableItemGroups enabled
- Wtih CatalogConcerns enabled
- With HTML5MediaEnabled and a record with media links

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 10 Lucas Gass 2024-06-03 20:39:26 UTC
Created attachment 167359 [details] [review]
Bug 33195: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 11 Martin Renvoize 2024-07-10 13:18:08 UTC
Created attachment 168724 [details] [review]
Bug 33195: Reindent the bibliographic details page

This patch reindents the bibliographic details template so that
it has consistent indentation. These changes should have no visible
effect on the page.

To test, apply the patch and view the detail page for a bibliographic
record. Test as many variations as you can:

- With and without cover images enabled
- With FRBRizeEditions enabled (and multiple editions in your catalog)
- With LocalCoverImages enabled
- With AcquisitionDetails enabled
- With a serial record
- With a record with component parts
- With EnableItemGroups enabled
- Wtih CatalogConcerns enabled
- With HTML5MediaEnabled and a record with media links

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2024-07-10 13:18:11 UTC
Created attachment 168725 [details] [review]
Bug 33195: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Martin Renvoize 2024-07-10 13:18:38 UTC
Nice cleanup.. PQA
Comment 14 Katrin Fischer 2024-07-11 10:03:53 UTC
Is there a reason this was marked as bug? :)
Comment 15 Owen Leonard 2024-07-11 11:13:11 UTC
(In reply to Katrin Fischer from comment #14)
> Is there a reason this was marked as bug? :)

Nope!
Comment 16 Katrin Fischer 2024-07-11 11:43:13 UTC
Pushed for 24.11!

Well done everyone, thank you!